%define name	nedit
%define release 3mdk
%define version	5.3

Summary:	A text editor for the X Window System
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.nedit.org/
Group:		Editors

Source:		http://www.Nedit.org/ftp/v5.3/%{name}-%{version}.tar.bz2
Patch0:		nedit-5.3-Makefile.patch.bz2

BuildRequires:	byacc, lesstif-devel >= 0.93, XFree86-devel, xpm-devel
Buildroot:	%{_tmppath}/%{name}-root

%description
NEdit is a multi-purpose text editor for the X Window System, which
combines a standard, easy to use, graphical user interface with the
thorough functionality and stability required by users who edit text
eighthours a day.

It provides intensive support for development in a wide variety of
languages, text processors, and other tools, but at the same time can
be used productively by just about anyone who needs to edit text.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .Makefile

# make it lib64 aware
perl -pi -e "s,(/usr/X11R6)/lib\b,\1/%{_lib},g" makefiles/Makefile.linux

%build
%make linux OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

(cd doc;
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
  install -m 644 nedit.man $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1
  install -m 644 nc.man $RPM_BUILD_ROOT%{_mandir}/man1/ncl.1
)
(cd source;
  mkdir -p $RPM_BUILD_ROOT%{_bindir}
  install -m 755 nedit $RPM_BUILD_ROOT%{_bindir}/nedit
  install -m 755 nc $RPM_BUILD_ROOT%{_bindir}/ncl
)

# Mandrake menu entries
install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%{name}): command="nedit" \
icon="editors_section.png" \
needs="x11" \
title="Nedit" \
longtitle="A text editor based on lestif" \
section="Applications/Editors"
EOF


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ReleaseNotes doc/nedit.doc
%{_bindir}/%{name}
%{_bindir}/ncl
%{_menudir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/ncl.1*

%changelog
* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.3-3mdk
- Rebuild

* Wed Dec  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.3-2mdk
- Make it lib64 aware
- Update Patch0 (Makefile) so that lesstif is dynamically linked in
  and also make sure we can feed it with extra OPT flags

* Sun Jul 21 2002 Daouda LO <daouda@mandrakesoft.com> 5.3-1mdk
- new release 5.3
- patch regeneration

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.2-3mdk
- Automated rebuild in gcc3.1 environment

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 5.2-2mdk
- Use stardard editors_section.png icon

* Sat Nov 17 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.2-1mdk
- Release 5.2
- [Build]Requires: lesstif[-devel] >= 0.93
- Update Patch0 to enable more warnings, optimizations and Motif 2.1
- Remove Patch1, Patch2 (merged upstream)

* Sun Sep 09 2001 Stefan van der Eijk <stefan@eijk.nu> 5.1.1-15mdk
- BuildRequires: byacc

* Tue Aug  7 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.1.1-14mdk
- Fix E:description-line-too-long
- Fix W:invalid-distribution Linux-Mandrake
- Patch0: regenerate and use correct LessTif includes and libs
- Patch2: use mkstemp() instead of dangerouns tmpnam()

* Mon Apr  9 2001 Yves Duret <yduret@mandrakesoft.com> 5.1.1-13mdk
- macros : %%make
- s/Copyright/License/
- rename nc to ncl according to http://www.nedit.org/faq/sect_bugs.shtml#N1140

* Wed Mar 28 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.1.1-12mdk
- Added manpage for the client (nc)
- Cleaned up specfile

* Tue Feb 20 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 5.1.1-11mdk
- specfile cleanup
- move binaries to standard /usr/bin

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.1.1-10mdk
- patched preferences.c so that it won't fail on missing the stdio.h include.

* Mon Oct 02 2000 Daouda Lo <daouda@mandrakesoft.com> 5.1.1-9mdk
- icons should be transparents
- provide large icon
- more macrozif..

* Mon Oct 02 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 5.1.1-8mdk
- Include docs.
- Install man page.
- Include RPM_OPT_FLAGS in CFLAGS.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.1.1-7mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.1.1-6mdk
- rebuild it with macros

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-5mdk
- BuildRequires: lesstif-devel
- Use tmppath macros.

* Tue May 09 2000 Daouda Lo <daouda@mandrakesoft.com> 5.1.1-4mdk
- 32x32 icon 
- menu entry was messed up in %files section 

* Tue Apr 11 2000 Daouda Lo <daouda@mandrakesoft.com> 5.1.1-3mdk
- add icon.

* Thu Apr 06 2000 Daouda Lo <daouda@mandrasoft.com> 5.1.1-1mdk
- first release for Linux Mandrake
- located in Office group 

